PayNow

Tags

Get all tags for a store

GEThttps://api.paynow.gg/v1/stores/{storeId}/tags

Retrieves all tags for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve tags for.
Response
200OKTagDto[]
Show fields
idFlakeIdRequired
created_atstringRequired
When the tag was created
created_byActorDtoRequired
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
enabledbooleanRequired
Indicates whether this tag is enabled.
namestringRequired
The unique name for the tag.
slugstringRequired
The unique slug for the tag.
store_idFlakeIdRequired
descriptionstringOptional
The description of the tag.
image_urlstringOptional
The Image URL associated with the tag.
media_asset_idFlakeIdOptional
updated_atstringOptional
When the tag was last updated.
updated_byActorDtoOptional
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/tags" \
  -H "Authorization: APIKey TOKEN"
Response200
[
  {
    "id": "411486491630370816",
    "created_at": "2024-01-01T00:00:00Z",
    "created_by": {
      "id": "411486491630370816",
      "type": "anonymous"
    },
    "enabled": true,
    "name": "string",
    "slug": "string",
    "store_id": "411486491630370816",
    "description": "string",
    "image_url": "string",
    "media_asset_id": "411486491630370816",
    "updated_at": "2024-01-01T00:00:00Z",
    "updated_by": {
      "id": "411486491630370816",
      "type": "anonymous"
    }
  }
]

Create a new tag

POSThttps://api.paynow.gg/v1/stores/{storeId}/tags

Creates a new tag in the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to create the tag in.
Request body
descriptionstringOptional
enabledbooleanOptional
media_asset_idFlakeIdOptional
namestringOptional
slugstringOptional
Response
200OKTagDto
Show fields
idFlakeIdRequired
created_atstringRequired
When the tag was created
created_byActorDtoRequired
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
enabledbooleanRequired
Indicates whether this tag is enabled.
namestringRequired
The unique name for the tag.
slugstringRequired
The unique slug for the tag.
store_idFlakeIdRequired
descriptionstringOptional
The description of the tag.
image_urlstringOptional
The Image URL associated with the tag.
media_asset_idFlakeIdOptional
updated_atstringOptional
When the tag was last updated.
updated_byActorDtoOptional
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer

Failed requests return a PayNowError body. See the error response guide.

curl -X POST "https://api.paynow.gg/v1/stores/{storeId}/tags" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "enabled": true,
  "media_asset_id": "411486491630370816",
  "name": "string",
  "slug": "string"
}'
Response200
{
  "id": "411486491630370816",
  "created_at": "2024-01-01T00:00:00Z",
  "created_by": {
    "id": "411486491630370816",
    "type": "anonymous"
  },
  "enabled": true,
  "name": "string",
  "slug": "string",
  "store_id": "411486491630370816",
  "description": "string",
  "image_url": "string",
  "media_asset_id": "411486491630370816",
  "updated_at": "2024-01-01T00:00:00Z",
  "updated_by": {
    "id": "411486491630370816",
    "type": "anonymous"
  }
}

Get a tag by an ID

GEThttps://api.paynow.gg/v1/stores/{storeId}/tags/{tagId}

Retrieves a tag by the ID for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to retrieve the tag for.
tagIdFlakeIdRequired
The ID of the tag.
Response
200OKTagDto
Show fields
idFlakeIdRequired
created_atstringRequired
When the tag was created
created_byActorDtoRequired
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
enabledbooleanRequired
Indicates whether this tag is enabled.
namestringRequired
The unique name for the tag.
slugstringRequired
The unique slug for the tag.
store_idFlakeIdRequired
descriptionstringOptional
The description of the tag.
image_urlstringOptional
The Image URL associated with the tag.
media_asset_idFlakeIdOptional
updated_atstringOptional
When the tag was last updated.
updated_byActorDtoOptional
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer

Failed requests return a PayNowError body. See the error response guide.

curl -X GET "https://api.paynow.gg/v1/stores/{storeId}/tags/{tagId}" \
  -H "Authorization: APIKey TOKEN"
Response200
{
  "id": "411486491630370816",
  "created_at": "2024-01-01T00:00:00Z",
  "created_by": {
    "id": "411486491630370816",
    "type": "anonymous"
  },
  "enabled": true,
  "name": "string",
  "slug": "string",
  "store_id": "411486491630370816",
  "description": "string",
  "image_url": "string",
  "media_asset_id": "411486491630370816",
  "updated_at": "2024-01-01T00:00:00Z",
  "updated_by": {
    "id": "411486491630370816",
    "type": "anonymous"
  }
}

Update a tag by ID

PATCHhttps://api.paynow.gg/v1/stores/{storeId}/tags/{tagId}

Performs a delta update of a tag by the ID for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to update the tag for.
tagIdFlakeIdRequired
The ID of the tag.
Request body
descriptionstringOptional
enabledbooleanOptional
media_asset_idFlakeIdOptional
namestringOptional
slugstringOptional
Response
200OKTagDto
Show fields
idFlakeIdRequired
created_atstringRequired
When the tag was created
created_byActorDtoRequired
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer
enabledbooleanRequired
Indicates whether this tag is enabled.
namestringRequired
The unique name for the tag.
slugstringRequired
The unique slug for the tag.
store_idFlakeIdRequired
descriptionstringOptional
The description of the tag.
image_urlstringOptional
The Image URL associated with the tag.
media_asset_idFlakeIdOptional
updated_atstringOptional
When the tag was last updated.
updated_byActorDtoOptional
Represents the actor that performed an action, such as the user, API key or game server that created or changed a record.
idFlakeIdOptional
typeenumRequired
Possible enum values
  • anonymous
  • user
  • api_key
  • customer
  • game_server
  • internal
  • admin
  • platform
  • global_customer

Failed requests return a PayNowError body. See the error response guide.

curl -X PATCH "https://api.paynow.gg/v1/stores/{storeId}/tags/{tagId}" \
  -H "Authorization: APIKey TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "enabled": true,
  "media_asset_id": "411486491630370816",
  "name": "string",
  "slug": "string"
}'
Response200
{
  "id": "411486491630370816",
  "created_at": "2024-01-01T00:00:00Z",
  "created_by": {
    "id": "411486491630370816",
    "type": "anonymous"
  },
  "enabled": true,
  "name": "string",
  "slug": "string",
  "store_id": "411486491630370816",
  "description": "string",
  "image_url": "string",
  "media_asset_id": "411486491630370816",
  "updated_at": "2024-01-01T00:00:00Z",
  "updated_by": {
    "id": "411486491630370816",
    "type": "anonymous"
  }
}

Delete a tag by ID

DELETEhttps://api.paynow.gg/v1/stores/{storeId}/tags/{tagId}

Deletes a tag by the ID for the specified store.

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store to delete the tag for.
tagIdFlakeIdRequired
The ID of the tag.
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/tags/{tagId}" \
  -H "Authorization: APIKey TOKEN"

Delete tag image

DELETEhttps://api.paynow.gg/v1/stores/{storeId}/tags/{tagId}/image

Deletes an image for a tag

Headers
AuthorizationAPI KeyRequired
Authentication token for this request, sent as Authorization: APIKey TOKEN.
Path parameters
storeIdFlakeIdRequired
The ID of the store the tag belongs to.
tagIdFlakeIdRequired
The ID of the tag.
Response
204No Content

Failed requests return a PayNowError body. See the error response guide.

curl -X DELETE "https://api.paynow.gg/v1/stores/{storeId}/tags/{tagId}/image" \
  -H "Authorization: APIKey TOKEN"